{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Performs real-time, authoritative eligibility checks directly against needed requirements.\nUse this endpoint to verify a domain is available before\nattempting a transfer via `POST /registrations/:domain_name/transfer-in`.\n\n**Note:** This endpoint uses POST to accept a list of domains in the request\nbody. It is a read-only operation — it does not create, modify, or reserve\nany domains.\n\n### Behavior\n- Maximum 10 domains per request\n- Pricing is only returned for domains where `transferable: true`\n- Results are not cached; each request queries the registry & other needed upstreams\n\n## Extension Support\n\nAll `.uk` extensions (`.uk`, `.co.uk`, etc) do not support auth codes. As such,\nCloudflare will ignore the `auth_code` section of this request for `.uk` domains.\n\nThis means that a `.uk` domain depends on public data to obtain domain information,\nso it might be a few minutes outdated.\n\n### Workflow\n1. Call this endpoint with domains the user wants to transfer.\n2. For each domain where `transferable: true`, present pricing to the user.\n3. For each domain where `transferable: false`, present reasons to the user\n4. Proceed to `POST /registrations/:domain_name/transfer-in` only for the `transferable: true` domains.\n","properties":{"path":{"type":"object","properties":{"account_id":{"$ref":"#/definitions/registrar-api_identifier","description":"Cloudflare account ID. Required for all Registrar API operations."}},"required":["account_id"],"additionalProperties":false},"body":{"$ref":"#/definitions/registrar-api_domain_transfer_check_request","examples":[{"domains":[{"domain_name":"example.co.uk"}]}]}},"required":["path","body"],"additionalProperties":false,"definitions":{"registrar-api_identifier":{"description":"Identifier.","type":"string","maxLength":32,"examples":["023e105f4ecef8ad9ca31a8372d0c353"]},"registrar-api_domain_transfer_check_request":{"description":"Request body for checking domain transfer eligibility.","type":"object","properties":{"domains":{"description":"List of domain objects to evaluate for transfer eligibility.","type":"array","items":{"additionalProperties":false,"properties":{"auth_code":{"description":"Base64-encoded auth/EPP code from the current registrar.\nRequired for most TLDs. `.uk` namespaces do not use auth\ncodes.\n","type":"string","format":"byte","examples":["YmFzZTY0LWF1dGgtY29kZQ=="]},"domain_name":{"description":"Fully qualified domain name (FQDN) to check for transfer eligibility.","type":"string","examples":["example.com"]}},"required":["domain_name"],"type":"object"},"maxItems":10,"minItems":1}},"additionalProperties":false,"required":["domains"]}}},"name":"Check domain transfer eligibility","id":"cloudflare.registrar-domain-discovery-transfer-check","example":{"path":{"account_id":"023e105f4ecef8ad9ca31a8372d0c353"},"body":{"domains":[{"domain_name":"example.com"}]}},"maxRequests":1,"summary":false}}